# Attribute Transactions

{% hint style="warning" %}
**Limited Support/End of Life Capabilities**

The Classic API has been replaced by the Alemba RestFul API.  While we will continue to support the Classic API for clients that are still using it, no further development will be done.

If you need to request a hotfix or support for these features, please contact [<mark style="color:blue;">**Alemba Support**</mark>](https://alemba.help/production/Portal.aspx)
{% endhint %}

### AttributeCreate Transaction

The AttributeCreate transaction can be used to add an attribute to a call, request or task.

#### Input Parameters: AttributeRequest

<table data-header-hidden><thead><tr><th></th><th width="119"></th><th></th><th width="95"></th><th></th></tr></thead><tbody><tr><td>Argument</td><td>Type</td><td>Mandatory</td><td>Default</td><td>Description</td></tr><tr><td>sID</td><td>String</td><td>No. See Transaction Login.</td><td>“”</td><td>Analyst’s current Session ID</td></tr><tr><td>sLoginUserID</td><td>String</td><td>No. See Transaction Login.</td><td>“”</td><td>Analyst’s Login ID</td></tr><tr><td>sLoginPassword</td><td>String</td><td>No. See Transaction Login.</td><td>“”</td><td>Analyst’s Password</td></tr><tr><td>sDatabase</td><td>String</td><td>No. See Transaction Login.</td><td>“”</td><td>Name of the ASM System for logging in.</td></tr><tr><td>lEntityRef</td><td>Lookup Field</td><td>Ignored</td><td>-</td><td>Ignored on Create</td></tr><tr><td>nHdRef</td><td>Integer</td><td>Yes</td><td>-</td><td>Call / Request / Task Number</td></tr><tr><td>nEntityType</td><td>Integer</td><td>Yes</td><td>-</td><td><p>The type of entity to which the attribute will be added. Values:</p><ul><li>1 = Call</li><li>2 = Request</li><li>3 = Task</li></ul></td></tr><tr><td>lTier1</td><td>Lookup Field</td><td>Yes</td><td></td><td>Tier 1 attribute</td></tr><tr><td>lTier2</td><td>Lookup Field</td><td>No</td><td></td><td>Tier 2 attribute</td></tr><tr><td>lTier3</td><td>Lookup Field</td><td>No</td><td></td><td>Tier 3 attribute</td></tr><tr><td>sValue1</td><td>String</td><td>No</td><td></td><td>Attribute value</td></tr><tr><td>aCustomParameters</td><td>Array</td><td>No</td><td>“”</td><td>See Defining Custom Parameters.</td></tr></tbody></table>

#### Return Values:AttributeResponse <a href="#attributeresponse" id="attributeresponse"></a>

| Argument   | Type      | Description           |
| ---------- | --------- | --------------------- |
| nEntityRef | Integer   | New attribute ref     |
| sMessage   | String    | Error/Warning Message |
| Ret        | APIReturn | Error/Warning Number  |

### AttributeUpdate Transaction

The AttributeUpdate transaction can be used to modify an attribute.

#### Input Parameters: AttributeUpdateRequest

<table data-header-hidden><thead><tr><th></th><th width="120"></th><th></th><th width="113"></th><th></th></tr></thead><tbody><tr><td>Argument</td><td>Type</td><td>Mandatory</td><td>Default</td><td>Description</td></tr><tr><td>sID</td><td>String</td><td>No. See Transaction Login.</td><td>“”</td><td>Analyst’s current Session ID</td></tr><tr><td>sLoginUserID</td><td>String</td><td>No. See Transaction Login.</td><td>“”</td><td>Analyst’s Login ID</td></tr><tr><td>sLoginPassword</td><td>String</td><td>No. See Transaction Login.</td><td>“”</td><td>Analyst’s Password</td></tr><tr><td>sDatabase</td><td>String</td><td>No. See Transaction Login.</td><td>“”</td><td>Name of the ASM System for logging in.</td></tr><tr><td>lEntityRef</td><td>Lookup Field</td><td>Yes</td><td>-</td><td>Attribute to update</td></tr><tr><td>sValue1</td><td>String</td><td>No</td><td>“”</td><td>Attribute Value</td></tr><tr><td>aCustomParameters</td><td>Array</td><td>No</td><td>“”</td><td>See Defining Custom Parameters.</td></tr></tbody></table>

#### Return Values: AttributeResponse <a href="#kanchor73" id="kanchor73"></a>

See AttributeResponse for more information.

### AttributeRetrieve Transaction

The AttributeRetrieve transaction can be used to retrieve attribute values.

#### Input Parameters: AttributeRetrieveRequest

<table data-header-hidden><thead><tr><th></th><th width="127"></th><th></th><th width="108"></th><th></th></tr></thead><tbody><tr><td>Argument</td><td>Type</td><td>Mandatory</td><td>Default</td><td>Description</td></tr><tr><td>sID</td><td>String</td><td>No. See Transaction Login.</td><td>“”</td><td>Analyst’s current Session ID</td></tr><tr><td>sLoginUserID</td><td>String</td><td>No. See Transaction Login.</td><td>“”</td><td>Analyst’s Login ID</td></tr><tr><td>sLoginPassword</td><td>String</td><td>No. See Transaction Login.</td><td>“”</td><td>Analyst’s Password</td></tr><tr><td>sDatabase</td><td>String</td><td>No. See Transaction Login.</td><td>“”</td><td>Name of the ASM System for logging in.</td></tr><tr><td>lEntityRef</td><td>Lookup Field</td><td>Yes</td><td>-</td><td>Attribute to retrieve</td></tr><tr><td>aCustomParameters</td><td>Array</td><td>No</td><td>“”</td><td>See Defining Custom Parameters.</td></tr></tbody></table>

#### Return Values: AttributeRetrieveResponse

| Argument  | Type      | Description                            |
| --------- | --------- | -------------------------------------- |
| Ret       | APIReturn | Error/Warning Number                   |
| sMessage  | String    | Error/Warning Message                  |
| ResultSet | DataSet   | ResultSet containing attribute details |

### AttributeDelete Transaction

The AttributeDelete transaction can be used to delete an attribute.

#### Input Parameters: AttributeDeleteRequest

<table data-header-hidden><thead><tr><th></th><th width="126"></th><th></th><th width="97"></th><th></th></tr></thead><tbody><tr><td>Argument</td><td>Type</td><td>Mandatory</td><td>Default</td><td>Description</td></tr><tr><td>sID</td><td>String</td><td>No. See Transaction Login.</td><td>“”</td><td>Analyst’s current Session ID</td></tr><tr><td>sLoginUserID</td><td>String</td><td>No. See Transaction Login.</td><td>“”</td><td>Analyst’s Login ID</td></tr><tr><td>sLoginPassword</td><td>String</td><td>No. See Transaction Login.</td><td>“”</td><td>Analyst’s Password</td></tr><tr><td>sDatabase</td><td>String</td><td>No. See Transaction Login.</td><td>“”</td><td>Name of the ASM System for logging in.</td></tr><tr><td>lEntityRef</td><td>Lookup Field</td><td>Yes</td><td>-</td><td>Attribute to delete.</td></tr><tr><td>aCustomParameters</td><td>Array</td><td>No</td><td>“”</td><td>See Defining Custom Parameters.</td></tr></tbody></table>

#### Return Values: AttributeResponse

See AttributeResponse for more information.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.alemba.com/asm-hermes/setup-and-configure-asm/faq/limited-support-end-of-life-capabilities/alemba-classic-api/api-transactions/system-transactions/attribute-transactions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
